=== debian/changelog ===
appstream (0.11.3-1) unstable; urgency=medium

  * New upstream version: 0.11.3

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Aug 2017 13:14:34 -0400

appstream (0.11.2-1) unstable; urgency=medium

  * New upstream version: 0.11.2
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 18 Jul 2017 20:36:34 +0200

appstream (0.11.1-1) unstable; urgency=medium

  * New upstream version: 0.11.1
  * Update .symbols file
  * Fix autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Jul 2017 16:32:06 +0200

appstream (0.11.0-1) unstable; urgency=medium

  * New upstream version: 0.11.0
  * Drop appstream-index transitional package
  * Drop all patches: Applied upstream
  * Update symbols file
  * Bump standards version: No changes needed
  * Use noawait triggers for cache rebuilds

 -- Matthias Klumpp <mak@debian.org>  Sat, 24 Jun 2017 17:35:18 +0200

appstream (0.10.6-2) unstable; urgency=medium

  * vala-deps.patch: Add Vala dependency file
    - Fixes Vala builds which don't explicitly depend on GIO already.
  * yaml-serialize-crash.patch: Don't crash when serializing components
    with a session DBus provides to YAML.
  * no-cache-if-no-cpts.patch: Don't attempt (and fail) to create a cache
    if there are no components at all to serialize.
  * no-gvfsd-root.patch: Ensure gvfsd and friends don't get spawned as
    root (or at all in case of ascli). (Closes: #852696)

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Mar 2017 20:48:26 +0100
