=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 10),
               gettext,
               gobject-introspection,
               gtk-doc-tools,
               itstool,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.46),
               libstemmer-dev,
               libxml2-dev (>= 2.8.0),
               libyaml-dev (>= 0.1.6),
               qtbase5-dev (>= 5.6),
               valac,
               xmlto
Standards-Version: 4.0.0
Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream.git

Package: appstream
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: appstream-index (<< ${source:Version}),
        gnome-software (<< 3.22.5-1),
        plasma-discover (<< 5.8.5-3)
Provides: appstream-index
Description: Software component metadata management
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format.
 It provides facilities to easily access and transform the data, as well
 as a few additional services to allow building feature-rich software center
 applications.
 .
 This package provides tools to generate, maintain and query the AppStream
 data pool of installed and available software, and enables integration
 with the APT package manager.
 .
 The 'appstreamcli' tool can be used for accessing the software component
 pool as well as for working with AppStream metadata directly, including
 validating it for compliance with the specification.

Package: libappstream4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to access AppStream services
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata pool.
 It also contains functions for reading, writing and transforming AppStream
 metadata.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
         libappstream4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.46),
         ${misc:Depends}
Suggests: appstream-generator
Description: Library to access AppStream services (development files)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains development files necessary to develop
 software management tools which use the AppStream library.

Package: gir1.2-appstream-1.0
Architecture: any
Section: introspection
Depends: libappstream4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Breaks: gir1.2-appstream (<< 0.10.1)
Replaces: gir1.2-appstream (<< 0.10.1)
Description: Library to access AppStream services (introspection data)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt5 library to access AppStream services
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata pool.

Package: libappstreamqt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libappstreamqt2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Qt5 library to access AppStream services (development files)
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package contains development files necessary to develop
 software management tools which use the Qt-based AppStream library.

Package: appstream-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: appstream
Description: Developer documentation for AppStream
 AppStream is a metadata specification, allowing to write metadata for
 software projects in a standardized format. This allows software centers
 to display useful information for not installed software, as well as
 determining software the user might want to install (e.g. to open an
 unknown file type or to make missing firmware available).
 .
 This package provides developer documentation for AppStream.
