## appstream 0.11.8

=== debian/changelog ===
appstream (0.11.8-3) unstable; urgency=medium

  * appstream-doc breaks older appstream package versions (Closes: #888301)
    - The upstream NEWS file accidentally moved from appstream to
      appstream-doc, and now that it is there it makes sense to
      keep it in the -doc package.

 -- Matthias Klumpp <mak@debian.org>  Wed, 24 Jan 2018 20:50:20 +0100

appstream (0.11.8-2) unstable; urgency=medium

  * qt-define-locations-nodebug.patch: Allow finding the Qt library
    for non-debug builds correctly again (Closes: #888144)

 -- Matthias Klumpp <mak@debian.org>  Wed, 24 Jan 2018 20:32:40 +0100

appstream (0.11.8-1) unstable; urgency=medium

  * New upstream version: 0.11.8
  * Update Vcs-* URLs for Salsa migration
  * Bump dh compat level to 11

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Jan 2018 23:58:02 +0100

appstream (0.11.7-1) unstable; urgency=medium

  * New upstream version: 0.11.7
  * Drop patches: Applied upstream
  * Make appstream package suggest curl
  * Bump standards version: No changes needed
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Oct 2017 19:52:02 +0200

appstream (0.11.6-2) unstable; urgency=medium

  * fix-screenshot-validate-loop.patch: Fix endless loop when
    validating screenshots

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Oct 2017 17:17:46 +0200

appstream (0.11.6-1) unstable; urgency=medium

  * New upstream version: 0.11.6

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 Oct 2017 22:18:42 +0200

appstream (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
    - Makes Qt CMake file work on non-64bit-arches again (Closes: #874169)
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Mon, 04 Sep 2017 18:22:14 +0200

appstream (0.11.4-1) unstable; urgency=medium

  * New upstream version: 0.11.4
  * Adjust packaging to use the Meson buildsystem
  * Update .install files
  * Update .symbols file
  * Fail on missing files
  * Trim & update build-dependencies
    - xmlto is no longer needed
    - itstool is no longer needed
    - libgirepository1.0-dev >= 1.53, older versions have bugs
      breaking the build.

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Aug 2017 19:56:48 +0200
