=== debian/changelog ===
appstream (0.12.0-3) unstable; urgency=medium

  * load-desktop-data.patch: Load desktop file data properly again

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 21:30:08 +0200

appstream (0.12.0-2) unstable; urgency=medium

  * Make autopkgtest work again
  * Update d/copyright (Closes: #894856)
  * icon config: Pull in non-HiDPI config for large icons
    if large-icon HiDPI config is installed

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 14:12:26 +0200

appstream (0.12.0-1) unstable; urgency=medium

  * New upstream version: 0.12.0
  * Drop all patches: Applied upstream
  * Update .symbols file
  * d/rules: Drop obsolete --parallel flag
  * Add APT config snippet packages for an easy way of enabling
    icon downloads for different sizes and HiDPI.

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Apr 2018 18:36:26 +0200
