=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 		-Dvapi=true
 
 %:
-	dh $@ --parallel --with gir
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(AS_CONFIGURE_ARGS)
