## appstream 0.12.3

=== debian/changelog ===
appstream (0.12.3-1) unstable; urgency=medium

  * New upstream version: 0.12.3
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Oct 2018 18:44:32 +0200
