## appstream 0.12.4

=== debian/changelog ===
appstream (0.12.4-2) unstable; urgency=medium

  * Add no-invalid-warnings.patch: Don't warn about nonexistent issues
    on cache refresh.

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Dec 2018 18:36:18 +0100

appstream (0.12.4-1) unstable; urgency=medium

  * New upstream version: 0.12.4

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Dec 2018 18:02:12 +0100
