=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
