## appstream 0.12.5

=== debian/changelog ===
appstream (0.12.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:16 +0800

appstream (0.12.5-1) unstable; urgency=medium

  * New upstream version: 0.12.5
  * Drop patch: Applied upstream
  * Switch to dh compat level 12
  * Bump standards version: No changes needed
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sat, 26 Jan 2019 18:10:38 +0100
