=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gettext,
                gobject-introspection,
                gperf,
@@ -15,7 +15,7 @@
                meson (>= 0.42),
                qtbase5-dev (>= 5.6),
                valac
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
