## appstream 0.12.6

=== debian/changelog ===
appstream (0.12.6-2) experimental; urgency=medium

  * Cherry-pick patches from upstream to fix test failures with GLib 2.59

 -- Iain Lane <laney@debian.org>  Tue, 02 Apr 2019 15:03:17 +0100

appstream (0.12.6-1) unstable; urgency=medium

  * New upstream version: 0.12.6
    - Fulltext search improvements
    - Support for release artifacts
  * Update symbols file
  * Add missing license to d/copyright

 -- Matthias Klumpp <mak@debian.org>  Sat, 02 Mar 2019 16:34:54 +0100
