=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                gtk-doc-tools,
                libgirepository1.0-dev (>= 1.53),
                libglib2.0-dev (>= 2.46),
+               liblmdb-dev,
                libstemmer-dev,
                libxml2-dev (>= 2.8.0),
                libyaml-dev (>= 0.1.6),
