## appstream 0.12.9

=== debian/changelog ===
appstream (0.12.9-1) unstable; urgency=medium

  * New upstream version: 0.12.9
    - Permits cache rebuilds on lower-end 32bit platforms (Closes: #935146)
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Sep 2019 20:26:24 +0200

appstream (0.12.8-1) unstable; urgency=medium

  * New upstream version: 0.12.8
  * Clean up the cache directory when migrating from older versions
  * Drop patch: Applied upstream
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Fri, 16 Aug 2019 21:28:34 +0200
